hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Subru Krishnan (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (YARN-5630) NM fails to start after downgrade from 2.8 to 2.7
Date Fri, 09 Sep 2016 23:00:23 GMT

    [ https://issues.apache.org/jira/browse/YARN-5630?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15478530#comment-15478530
] 

Subru Krishnan commented on YARN-5630:
--------------------------------------

I feel this is a much needed capability as upgrades are never successful all the time. Thanks
[~jlowe] for working on and [~asuresh] for the thoughtful reviews. The approach is definitely
a good improvement on the current state, I think we should address the problem holistically
along with YARN-5547. I have given a suggestion [there|https://issues.apache.org/jira/browse/YARN-5547?focusedCommentId=15478490].

> NM fails to start after downgrade from 2.8 to 2.7
> -------------------------------------------------
>
>                 Key: YARN-5630
>                 URL: https://issues.apache.org/jira/browse/YARN-5630
>             Project: Hadoop YARN
>          Issue Type: Bug
>          Components: nodemanager
>            Reporter: Jason Lowe
>            Assignee: Jason Lowe
>            Priority: Blocker
>         Attachments: YARN-5630.001.patch, YARN-5630.002.patch
>
>
> A downgrade from 2.8 to 2.7 causes nodemanagers to fail to start due to an unrecognized
"version" container key on startup.  This breaks downgrades from 2.8 to 2.7.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: yarn-issues-help@hadoop.apache.org


Mime
View raw message